Add Additional Source
curl --request POST \
--url https://dubbing.deepdub.app/dubbing/job/{request_id}/sources \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"source": "CC_SDH",
"assetPath": "s3://your-bucket/input/episode-01.captions.dfxp"
}
'import requests
url = "https://dubbing.deepdub.app/dubbing/job/{request_id}/sources"
payload = {
"source": "CC_SDH",
"assetPath": "s3://your-bucket/input/episode-01.captions.dfxp"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({source: 'CC_SDH', assetPath: 's3://your-bucket/input/episode-01.captions.dfxp'})
};
fetch('https://dubbing.deepdub.app/dubbing/job/{request_id}/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Add Additional Source
Attach an additional source asset (subtitles, audio hints, etc.) to an existing job. The new source is ingested asynchronously.
POST
/
dubbing
/
job
/
{request_id}
/
sources
Add Additional Source
Authorizations
API key issued by Deepdub. Contact your account manager to obtain one.
Path Parameters
Body
application/json
Response
Successful Response
⌘I
